import { NextApiHandler, NextConfig } from 'next';
import { NodeOptions } from '@highlight-run/node';

declare interface Metric {
    name: string;
    value: number;
    tags?: {
        name: string;
        value: string;
    }[];
}
interface HighlightInterface {
    init: (options: NodeOptions) => void;
    isInitialized: () => boolean;
    metrics: (metrics: Metric[]) => void;
}
declare const H: HighlightInterface;
declare const Highlight: (options?: NodeOptions) => <T>(origHandler: NextApiHandler<T>) => NextApiHandler<T>;

interface HighlightConfigOptions {
    uploadSourceMaps?: boolean;
    configureHighlightProxy?: boolean;
    apiKey?: string;
    appVersion?: string;
    sourceMapsPath?: string;
    sourceMapsBasePath?: string;
}
declare const withHighlightConfig: (config: NextConfig, highlightOpts?: HighlightConfigOptions) => NextConfig;

export { H, Highlight, withHighlightConfig };
